drop table if exists article_connections;
create table article_connections(
	article_connection_id serial,
	source_article_id integer not null references articles( article_id ),
	target_article_id integer not null references articles( article_id ),
	bidirectional boolean default true,
	constraint article_connections_pkey primary key( article_connection_id )
);

comment on table article_connections is 'storage of article_connections';
comment on column article_connections.article_connection_id is 'unique id of connection';
comment on column article_connections.source_article_id is 'source article';
comment on column article_connections.target_article_id is 'target article';
comment on column article_connections.bidirectional is 'is connection is bidirectional';

